
QGIS Application - Bug report #2428

(windows) Identify Features tool returns incorrect band values

2010-02-09 07:16 PM - dr -

Status: Closed

Priority: Low

Assignee: ersts -

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 12488

Description

1. Open any RGB raster and zoom it to high scale;

2. Click on any pixel and identify band values;

3. Set color from previous step as transparent;

4. At result - another pixel becomes transparent.

For more detail see video: [http://www.screencast.com/users/gislab/folders/Jing/media/7a50cf47-c461-4236-b45d-1196fc5f4dd5]

History

#1 - 2010-02-10 03:28 AM - Giovanni Manghi

Hi,

I cannot replicate it here with trunk under linux. Can you post please a sample of the data you are using?

#2 - 2010-02-10 03:52 AM - dr -

This bug I've reproduced on different rasters. For example [http://gis-lab.info/share/DR/l5_19880625.img]

#3 - 2010-02-10 04:07 AM - Giovanni Manghi

Just tested the raster you linked and it works fine under linux and qgis trunk. I'll check also under xp and report back.

#4 - 2010-02-10 04:12 AM - Giovanni Manghi

Ok, is confirmed that the issue happens under windows but not linux. Any Mac to test it?

#5 - 2010-02-10 04:22 AM - dr -

Thanks for testing it. Sorry I don't have possibility to test bug under Mac OS.
#6 - 2010-02-10 04:44 AM - Giovanni Manghi

Hi,

I think that the title of this ticket does not really match the described issue. What about changing it? maybe something like "(windows) setting transparent

colours applies to wrong pixels"?

cheers

#7 - 2010-02-10 04:52 AM - dr -

I'm not sure that issue is connected with transparency. Seems that it is Identify Feature tool issue.

#8 - 2010-02-10 04:53 AM - dr -

If you try to click in different place of pixel you will get different values of bands.

#9 - 2010-02-10 04:56 AM - Giovanni Manghi

Replying to [comment:8 dr]:

If you try to click in different place of pixel you will get different values of bands.

ok, I didn't noticed it.

#10 - 2010-02-10 07:15 AM - William Kyngesburye

Works on OSX.

#11 - 2010-04-15 11:24 AM - dr -

- Resolution set to worksforme

- Status changed from Open to Closed
